Activity log for bug #1094307

Date Who What changed Old value New value Message
2012-12-28 16:57:12 David Elliott bug added bug
2013-01-06 06:42:16 Nimit Shah gtg: status New Incomplete
2013-01-15 20:22:21 Izidor Matušov gtg: status Incomplete In Progress
2013-01-15 20:22:32 Izidor Matušov gtg: importance Undecided Critical
2013-01-15 20:22:35 Izidor Matušov gtg: assignee Izidor Matušov (izidor)
2013-01-15 20:22:39 Izidor Matušov gtg: milestone 0.3.1
2013-01-15 20:24:14 Izidor Matušov description Running the daily ppa on 32-bit Ubuntu 12.04 with Gnome Shell: Traceback (most recent call last): File "/usr/share/gtg/GTG/plugins/export/export.py", line 253, in show_dialog self._update_combobox() File "/usr/share/gtg/GTG/plugins/export/export.py", line 270, in _update_combobox if path == self.preferences["last_template"]: KeyError: 'last_template' Based on the error traceback, this is a separate issue from #583048, but my technical knowledge isn't good enough to be sure. When plugin (code) introduces a new preference option and preferences already exists, this option is not added to the existing one, example of such traceback: Traceback (most recent call last):   File "/usr/share/gtg/GTG/plugins/export/export.py", line 253, in show_dialog     self._update_combobox()   File "/usr/share/gtg/GTG/plugins/export/export.py", line 270, in _update_combobox     if path == self.preferences["last_template"]: KeyError: 'last_template'
2013-01-15 20:24:36 Izidor Matušov summary Plugin "Export and Print" crashes Missing new preferences for plugins
2013-01-15 20:58:27 Izidor Matušov branch linked lp:~izidor/gtg/default_preferences_plugins
2013-01-18 16:41:38 Izidor Matušov gtg: status In Progress Fix Committed
2013-11-25 05:15:36 Nimit Shah gtg: status Fix Committed Fix Released